<?
$sub_menu	= "400000";												//-- sms 관리 2011. 05. 28
include_once("./_common.php");
auth_check($auth[$sub_menu], "r");
$token		= get_token();

$g4[title]	= "SMS 관리";
include_once("../admin.head.php");
include_once($g4[path]."/zm.extend/sms/sms_ini.php");										//-- sms를 보내기 위한 준비 단계
?>
<style type="text/css">
	.center			{ text-align:center; }
	.list			{ margin:20px; }
	.ing			{ margin:50px; text-align:center; }
</style>
<?
//-- 문자 전송하기 ------------------------------
?>
<div name="sending" class="ing"><img src="./img/img_ing.gif"><br />문자 전송 중...</div>
<?
//-- 받는사람 전화번호, 받는 사람 이름, 보내는 사람 전화번호, 보내는 사람 이름, 문자 내용[, 긴문자(1:90바이트만, 2:90씩 나눠서 여러번)][, 예약전송 여부(1:즉시전송, 2:예약전송)][, 예약시간 YYYYMMDD_hhiiss]
$resvTime		= $inYear . $inMonth . $inDay . "_" . $inHour . $inMin;			//-- 예약시간
$fromName		= "관리자";
$result			= sendsms($arSendPcs, $arSendName, $inSenderPcs, $fromName, $inMsg, $zm_sms[cutstring], "$inSndStyle", "$resvTime");
$aRes			= explode("/", $result);
if($aRes[0] == "0") {					//-- 전송 실패 
	$aNoList		= explode("@", $aRes[1]);	?>
	<div class="center">전송 실패한 건이 있습니다. <?=$aRes[2]?></div>
<?	for($i = 0; $i < count($aNoList); $i++) :
		if($aNoList[$i]) { 
			$no++; ?>
			<div class="center list"><span style="width:20px;"><?=$no?>.</span><span style="width:100px;"><?=$aNoList[$i]?></span></div>
<?		}
	endfor; ?>
	<div class="center list"><a href="sms_phonebook.php"><img src="images/btn_confirm.gif"></a></div>
<? }else{									//-- 전송 성공
	echo "<script language='javascript'>alert('문자를 전송하였습니다.');</script>";
	goto_url("sms_phonebook.php");
}
include_once("../admin.tail.php");
?>